Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class MimeContext

    java.lang.Object
      juzu.request.RequestContext
          juzu.request.MimeContext

Direct Known Subclasses:
  RenderContext, ResourceContext

    public abstract class MimeContext

extends RequestContext

Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class juzu.request.RequestContext
`RequestContext.METHOD_ID`

Field Summary

Fields inherited from class juzu.request.RequestContext
`METHOD_ID`

Method Summary
`URLBuilder` | `createURLBuilder(juzu.impl.controller.descriptor.ControllerMethod method)`
`URLBuilder` | `createURLBuilder(juzu.impl.controller.descriptor.ControllerMethod method, Object arg)`
`URLBuilder` | `createURLBuilder(juzu.impl.controller.descriptor.ControllerMethod method, Object[] args)`
`void` | `setResponse(Response.Content response)`

Methods inherited from class juzu.request.RequestContext
`getApplication, getHttpContext, getMethod, getParameters, getPhase, getProperty, getSecurityContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createURLBuilder

    public URLBuilder createURLBuilder(juzu.impl.controller.descriptor.ControllerMethod method)

### createURLBuilder

    public URLBuilder createURLBuilder(juzu.impl.controller.descriptor.ControllerMethod method,
                                       Object arg)

### createURLBuilder

    public URLBuilder createURLBuilder(juzu.impl.controller.descriptor.ControllerMethod method,
                                       Object[] args)

### setResponse

    public void setResponse(Response.Content response)
                     throws IOException,
                            IllegalStateException

  Throws:
    `IOException`
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.